commit:     095a727d0ba5c3a703a501dc71d7ddaf80e83041
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Mon May 23 19:37:20 2016 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Mon May 23 19:37:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=095a727d

net-analyzer/openbsd-netcat: revbump to install as nc (blocking netcat), bug 
#582884, respect CC, CFLAGS and LDFLAGS

Package-Manager: portage-2.2.28

 .../openbsd-netcat/openbsd-netcat-1.105-r1.ebuild  | 46 ++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild 
b/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
new file mode 100644
index 0000000..c4d9efa
--- /dev/null
+++ b/net-analyzer/openbsd-netcat/openbsd-netcat-1.105-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="The OpenBSD network swiss army knife"
+HOMEPAGE="http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/";
+SRC_URI="http://http.debian.net/debian/pool/main/n/netcat-openbsd/netcat-openbsd_${PV}.orig.tar.gz
+       
http://http.debian.net/debian/pool/main/n/netcat-openbsd/netcat-openbsd_${PV}-7.debian.tar.gz";
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x64-macos"
+
+DEPEND="virtual/pkgconfig"
+RDEPEND="dev-libs/libbsd
+       !net-analyzer/netcat
+       !net-analyzer/netcat6
+"
+
+S=${WORKDIR}/netcat-openbsd-${PV}
+
+PATCHES=( "${WORKDIR}/debian/patches" )
+
+src_compile() {
+       emake CC=$(tc-getCC) CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
+}
+
+src_install() {
+       dobin nc
+       doman nc.1
+       cd "${WORKDIR}/debian"
+       newdoc netcat-openbsd.README.Debian README
+       dodoc -r examples
+}
+
+pkg_postinst() {
+       if [[ ${KERNEL} = "linux" ]]; then
+               ewarn "FO_REUSEPORT is introduced in linux 3.9. If your running 
kernel is older"
+               ewarn "and kernel header is newer, nc will not listen 
correctly. Matching the header"
+               ewarn "to the running kernel will do. See bug #490246 for 
details."
+       fi
+}

Reply via email to